# -*- coding: utf-8 -*-
import matplotlib
matplotlib.use('Agg')
import time
import corporization
import preprocessing
import topicModeling
import cleaning
from miscellaneous import *


# ssh madonna "nohup /usr/bin/python3 -u /home/jannis.grundmann/PycharmProjects/topicModelingTickets/main.py &> /home/jannis.grundmann/PycharmProjects/topicModelingTickets/printout_main.log &"
start = time.time()

import init
init.main()
logprint("")

corporization.main()
logprint("")

cleaning.main()
logprint("")

preprocessing.main()   # ~5h
logprint("")

#topicModeling.main(use_raw=False,algorithm="llda")
logprint("")

#topicModeling.main(use_raw=True)

topicModeling.main(use_raw=False,algorithm="lda")
logprint("")

logprint("")

end = time.time()
logprint("Total Time Elapsed: {0} min".format((end - start) / 60))


